Device::Modem::Log::Syslog(3)

NAME
Device::Modem::Log::Syslog - Syslog logging plugin for Device::Modem class

SYNOPSIS
  use Device::Modem;

  my $box = new Device::Modem( log => 'syslog', ... );
  ...

DESCRIPTION
Example log class for Device::Modem that logs all modem activity, commands, ... to syslog

It is loaded automatically at Device::Modem startup, only if you specify "syslog" value to "log" parameter.

If you don't have Sys::Syslog additional module installed, you will not be able to use this logging plugin, and you should better leave the default logging (to text file).

  REQUIRES
"Sys::Syslog"

  EXPORTS
None

AUTHOR
Cosimo Streppone, cosimo@cpan.org

COPYRIGHT
(C) 2002 Cosimo Streppone, cosimo@cpan.org

This library is free software; you can only redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
"Device::Modem" "Device::Modem::Log::File"